Retrieve recurring charge
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/cobr/{txid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/cobr/{txid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/cobr/{txid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ajusteDiaUtil": true,
"calendario": {
"dataDeVencimento": "<string>",
"criacao": "<string>"
},
"idRec": "<string>",
"recebedor": {
"conta": "<string>",
"agencia": "<string>"
},
"revisao": 123,
"txid": "<string>",
"valor": {
"original": "<string>"
},
"atualizacao": [
{
"data": "<string>"
}
],
"devedor": {
"cep": "<string>",
"cidade": "<string>",
"email": "<string>",
"logradouro": "<string>",
"uf": "<string>"
},
"encerramento": {
"cancelamento": {
"codigo": "<string>",
"descricao": "<string>",
"solicitante": "<string>"
},
"rejeicao": {
"codigo": "<string>",
"descricao": "<string>"
}
},
"infoAdicional": "<string>",
"tentativas": [
{
"dataLiquidacao": "<string>",
"endToEndId": "<string>",
"atualizacao": [
{
"data": "<string>"
}
],
"rejeicao": {
"codigo": "<string>",
"descricao": "<string>"
}
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Retrieve recurring charge
Retrieves a recurring charge by its txid. Pix API GET /cobr/.
GET
/
api
/
v1
/
brcode
/
cobr
/
{txid}
Retrieve recurring charge
Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Identificador da transação [a-zA-Z0-9]{26,35}.
Pattern:
^[a-zA-Z0-9]{26,35}$Response
OK
Show child attributes
Show child attributes
Pattern:
^[a-zA-Z0-9]{29}$Show child attributes
Show child attributes
Available options:
CRIADA, ATIVA, CONCLUIDA, EXPIRADA, REJEITADA, CANCELADA Pattern:
^[a-zA-Z0-9]{26,35}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
140Histórico de tentativas de liquidação.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

